Subject: Re: bug#57079: 29.0.50; Performance of seq-uniq is not very good

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 13 Aug 2022 13:50:44 +0200

Michael Heerdegen <[email-masked]> writes:

> I think a large amount of non-standard test functions is of the form
>
>   (lambda (x y) (TEST (F x) (F y)))
>
> where TEST is a standard test function (equal or eq) and F some function
> that CL calls key function.

More importantly, we can use a hash table directly if TESTFN is
`eq'/`equal'/`eql' (or other pre-defined hash table tests), but it
didn't seem important enough.

> This case can still be supported using hash tables.  So I think it could
> make sense to add support for an additional optional KEY argument.

I think we're into cl-lib.el territory then -- seq doesn't do KEY.